Name: ghex
Summary: GNOME Hexadecimal Editor
Version: 2.2.0
Release: 2mdk
License: GPL
Group: Editors
Url: http://pluton.ijs.si/~jaka/gnome.html#GHEX
Source: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
Source1: gnome-ghex.png
Source2: gnome-ghex-48x48.png
Source3: gnome-ghex-16x16.png
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildRequires: libgnomeprintui2-2_0-devel
BuildRequires: libglade2.0-devel
BuildRequires: libgail-devel
BuildRequires: libgnomeui2_0-devel
BuildRequires: scrollkeeper
PreReq: scrollkeeper >= 0.3

%description
GHex allows the user to load data from any file, view and edit it in either
hex or ascii. A must for anyone playing games that use non-ascii format for
saving.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure2_5x

%make

%install

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

mkdir -p $RPM_BUILD_ROOT{%{_iconsdir},%{_liconsdir},%{_miconsdir}}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_iconsdir}/gnome-ghex.png
cp %{SOURCE2} $RPM_BUILD_ROOT%{_liconsdir}/gnome-ghex.png
cp %{SOURCE3} $RPM_BUILD_ROOT%{_miconsdir}/gnome-ghex.png

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/ghex << EOF
?package(ghex):\
needs="x11"\
section="Applications/Editors"\
title="Hex Editor"\
longtitle="GNOME Hexadecimal Editor"\
command="ghex2"\
icon="gnome-ghex.png" \
startup_notify="true"
EOF

%{find_lang} %name-2.0 --with-gnome --all-name

%post
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/ghex2.schemas > /dev/null

%{update_menus}

%postun
if [ -x /usr/bin/scrollkeeper-update ]; then /usr/bin/scrollkeeper-update -q || true ; fi
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-2.0.lang
%defattr(-, root, root)
%doc AUTHORS README ChangeLog
%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*.png
%{_datadir}/gnome-2.0/ui/*
%{_menudir}/*
%{_datadir}/omf/*
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%{_miconsdir}/*.png

%changelog
* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-2mdk
- Recompiled against latest openssl

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Remove patch0 (merged upstream) (was gnomeprint 2.2 support)

* Tue Dec 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.99.90-1mdk
- Release 1.99.90 (GNOME 2 port)
- Remove patch0 (merged upstream)

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-5mdk
- Patch0: use DTD compliant OMF file

* Mon Jun 17 2002 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.2.1-4mdk
- png icons (out xpm!)

* Fri Oct 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.1-3mdk
- fixes from Gtz Waschk <waschk@linux-mandrake.com> :
	- find_lang --with-gnome for help files

* Mon Jul 16 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2.1-2mdk
- add url

* Wed Jun 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.1-1mdk
- Release 1.2.1

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-2mdk
- Correct dependencies on scrollkeeper

* Wed Mar 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-1mdk
- Release 1.2
- Use scrollkeeper to maintain help database

* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2-0.2mdk
- Recompiled against latest gnome-print
- add help

* Tue Feb 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.2-0.1mdk
- correct release
- used srpm from Gtz Waschk <waschk@linux-mandrake.com

* Wed Feb 21 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.2-0.1mdk
- 1.2-beta1

* Thu Nov 16 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-1mdk 
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- new release

* Thu Jul 20 2000 Gtz Waschk <waschk@linux-mandrake.com> 1.1.3-1mdk
- initial Mandrake package
